%define	major	14

%define girmajor 1.0
%define girname_plugin %mklibname packagekitplugin-gir  %{girmajor}
%define girname_glib %mklibname packagekitglib-gir  %{girmajor}

%define	libname %mklibname %{name}-glib %{major}
%define	qt2major 1
%define	qt2lib	%mklibname %{name}-qt2_ %{qt2major}
%define	devname	%mklibname -d %{name}

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	0.7.4
Release:	2
License:	GPLv2+
Group:		System/Configuration/Packaging
URL:		http://www.packagekit.org
Source0: 	http://www.packagekit.org/releases/PackageKit-%version.tar.xz
Patch1:		packagekit-0.3.6-customize-vendor.patch
Patch4:		PackageKit-0.6.14-libexecdir.patch

BuildRequires:	docbook-utils
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	xmlto
BuildRequires:	xsltproc
BuildRequires:	cppunit-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libarchive-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	polkit-1-devel >= 0.92
BuildRequires:	pm-utils-devel
BuildRequires:	qt4-devel
BuildRequires:	sqlite3-devel
BuildRequires:	xulrunner-devel >= 1.9.1
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(python)
#BuildRequires:	networkmanager-devel

# fonts package in Mandriva do not have needed provides yet to be useful
Suggests:	%{name}-gtk3-module = %{version}
Suggests:	packagekit-gui
# No gtk2 plugin anymore
Obsoletes:	packagekit-gtk-module

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n	%{libname}
Summary:	Libraries for accessing PackageKit
Group:		System/Configuration/Packaging

%description -n	%{libname}
Libraries for accessing PackageKit.

%package -n %{girname_plugin}
Summary:    GObject Introspection interface library for %{name} plugin
Group:      System/Libraries

%description -n %{girname_plugin}
GObject Introspection interface library for %{name} plugin.

%package -n %{girname_glib}
Summary:    GObject Introspection interface library for %{name} glib
Group:      System/Libraries

%description -n %{girname_glib}
GObject Introspection interface library for %{name} glib.

%package -n	%{qt2lib}
Summary:	QT libraries for accessing PackageKit
Group:		System/Configuration/Packaging
Requires:	%{name} = %{version}-%{release}

%description -n	%{qt2lib}
QT libraries for accessing PackageKit.

%package -n	%{devname}
Summary:	Libraries and headers for PackageKit
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname_glib} = %{version}-%{release}
Requires:	%{girname_plugin} = %{version}-%{release}
Requires:	%{qt2lib} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	packagekit-qt-devel < %{version}

%description -n	%{devname}
Headers and libraries for PackageKit.

%package	cron
Summary:	Cron job and related utilities for PackageKit
Group:		System/Configuration/Packaging
Requires:	crontabs
Requires:	%{name} = %{version}-%{release}

%description	cron
Crontab and utilities for running PackageKit as a cron job.

%package	gstreamer-plugin
Summary:	Install GStreamer codecs using PackageKit
Group:		System/Configuration/Packaging
Requires:	gstreamer0.10-tools
Requires:	%{name} = %{version}-%{release}
Requires(post):	update-alternatives
Requires(postun): update-alternatives
Provides:	gst-install-plugins-helper

%description	gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package	browser-plugin
Summary:	Browser Plugin for PackageKit
Group:		System/Configuration/Packaging
Requires:	%{name} = %{version}-%{release}

%description	browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package	command-not-found
Summary:	Ask the user to install command line programs automatically
Group:		System/Configuration/Packaging
Requires:	%{name} = %{version}-%{release}

%description	command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package	gtk3-module
Summary:	Install fonts automatically using PackageKit
Group:		System/Configuration/Packaging
Requires:	pango
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{_lib}packagekit-glib14 < 0.7.4-2

%description	gtk3-module
The PackageKit GTK3+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%prep
%setup -q -n PackageKit-%{version}
%patch1 -p0
%patch4 -p0 -b .libexec~

%build
%configure2_5x	\
	--disable-static \
	--enable-gstreamer-plugin \
	--enable-smart \
	--enable-urpmi \
	--enable-introspection \
	--with-default-backend=urpmi \
	--with-security-framework=polkit

%make

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%{find_lang} PackageKit

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

%post gstreamer-plugin
update-alternatives --install %{_libexecdir}/gst-install-plugins-helper gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install 10

%postun gstreamer-plugin
if [ "$1" = "0" ]; then
    if ! [ -e %{_libexecdir}/pk-gstreamer-install ]; then
        update-alternatives --remove gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install
    fi
fi

%files -f PackageKit.lang
%dir %{_sysconfdir}/PackageKit
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%dir %{_sysconfdir}/PackageKit/events
%dir %{_sysconfdir}/PackageKit/events/post-transaction.d
%{_sysconfdir}/PackageKit/events/post-transaction.d/README
%dir %{_sysconfdir}/PackageKit/events/pre-transaction.d
%{_sysconfdir}/PackageKit/events/pre-transaction.d/README
%{_sysconfdir}/bash_completion.d/*
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_bindir}/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/mime/packages/*.xml
%{_sbindir}/pk-device-rebind
%{_datadir}/PackageKit
%{_datadir}/polkit-1/actions/*.policy
%{python_sitelib}/packagekit
%{_libexecdir}/packagekitd
%{_libexecdir}/pm-utils/sleep.d/95packagekit
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_smart.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_urpmi.so
%{_libdir}/packagekit-plugins/*.so
%{_mandir}/man1/*
%dir %{_var}/lib/PackageKit
%ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/transactions.db
%dir %{_var}/cache/PackageKit
%dir %{_var}/cache/PackageKit/downloads

%files -n %{libname}
%{_libdir}/*packagekit-glib*.so.%{major}*

%files -n %{girname_plugin}
%{_libdir}/girepository-1.0/PackageKitPlugin-1.0.typelib

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib

%files -n %{qt2lib}
%{_libdir}/libpackagekit-qt2.so.%{qt2major}*

%files -n %{devname}
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/packagekit-qt2/packagekit-qt2-config-version.cmake
%{_libdir}/cmake/packagekit-qt2/packagekit-qt2-config.cmake
%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir
%{_datadir}/gir-1.0/PackageKitPlugin-1.0.gir

%files cron
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files gstreamer-plugin
%{_libexecdir}/pk-gstreamer-install

%files browser-plugin
%{_libdir}/mozilla/plugins/packagekit-plugin.*

%files command-not-found
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk3-module
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/*.desktop
%{_libdir}/gtk-3.0/modules/libpk-gtk-module.so
%{_datadir}/glib-2.0/schemas/*.gschema.xml



%changelog
* Wed May 09 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.7.4-2
+ Revision: 797669
- rebuild
- cleaned up spec (more could be done)
- moved gtk module files to gtk3-module pkg
- moved gir file to devel pkg
- added proper reqs for gir pkgs

* Thu May 03 2012 Guilherme Moro <guilherme@mandriva.com> 0.7.4-1
+ Revision: 795710
- Updated to version 0.7.4

* Fri Nov 11 2011 Zé <ze@mandriva.org> 0.6.20-2
+ Revision: 729936
- rename back to gtk-module

* Fri Nov 11 2011 Zé <ze@mandriva.org> 0.6.20-1
+ Revision: 729920
- gtk3 support
- 0.6.20

* Thu Jul 07 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.16-2
+ Revision: 689284
- enable suggests on packagekit-gtk-module now that we have font provides

* Tue Jul 05 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.16-1
+ Revision: 688928
- new version

* Wed May 25 2011 Funda Wang <fwang@mandriva.org> 0.6.14-4
+ Revision: 678968
- fix libexecdir in command-not-found script
- add more req

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - cosmetics
    - drop legacy rpm stuff...
    - move scriptlets for gstreamer-plugin subpackage to expected place in spec..

* Tue May 24 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.14-3
+ Revision: 678195
- fix broken is_package_installed() in backport patch

* Tue May 24 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.14-2
+ Revision: 678193
- fix build with glib 2.28.7 (P3)
- backport 'WhatProvides' & 'Cancel' features, 'Free' & 'Supported' filters (WIP)
- be sure to include and own directories under /var

* Thu May 12 2011 Funda Wang <fwang@mandriva.org> 0.6.14-1
+ Revision: 673709
- add qt2 lib
- update to new version 0.6.14

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6.13-2
+ Revision: 666973
- mass rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix unowned directories

* Fri Mar 11 2011 Funda Wang <fwang@mandriva.org> 0.6.13-1
+ Revision: 643843
- update file list
- update to new version 0.6.13

* Fri Feb 25 2011 Joao Victor Duarte Martins <jvdm@mandriva.com.br> 0.6.12-1
+ Revision: 639749
- new 0.6.12 release

* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 0.6.11-1mdv2011.0
+ Revision: 623753
- update to new version 0.6.11

* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 593626
- use alternative to satisfy gst-base

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 593308
- new version 0.6.10
- enable gstreamer codec installation plugin

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.6.9-3mdv2011.0
+ Revision: 591469
- rebuild for new python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 0.6.9-1mdv2011.0
+ Revision: 583494
- New version 0.6.9

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.6.7-2mdv2011.0
+ Revision: 578946
- rebuild for new gobject-introspection

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.7-1mdv2011.0
+ Revision: 570330
- New version 0.6.7

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.6.6-2mdv2011.0
+ Revision: 563174
- rebuild for new gobject-introspection

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.6.6-1mdv2011.0
+ Revision: 561862
- New version 0.6.6

* Mon Jun 21 2010 Anssi Hannula <anssi@mandriva.org> 0.6.3-3mdv2010.1
+ Revision: 548446
- fix update-system command and passing of only_trusted parameter
  (fix-perform_updates-params.patch)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.3-2mdv2010.1
+ Revision: 544357
- Fix buildrequires
- Do not suggest packagekit-gtk-module (not useful ATM)

  + Emmanuel Andry <eandry@mandriva.org>
    - enable introspection
    - New version 0.6.3
    - update files list

* Wed Mar 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.2-1mdv2010.1
+ Revision: 524011
- Fix file list
- Fix file list
  Major changed => 14

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 499424
- New version 0.6.1
- urpmiapi patch merged upstream
- fix polkit module linkage

* Wed Jan 13 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-2mdv2010.1
+ Revision: 490572
- add a suggests on GUI virtual package

* Thu Jan 07 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-1mdv2010.1
+ Revision: 487241
- Release 0.6.0
- Patch1: fix URPMI backend api

* Tue Dec 08 2009 Funda Wang <fwang@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 474642
- new version 0.5.5

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 460641
- New version 0.5.4

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 0.5.2-2mdv2010.0
+ Revision: 456243
- suggests gtk module (bug#53651)

* Sun Sep 20 2009 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 444810
- New version 0.5.2

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 417620
- re-enable browser plugin

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 412892
- new version 0.5.1

* Tue Jul 14 2009 Funda Wang <fwang@mandriva.org> 0.4.8-2mdv2010.0
+ Revision: 395961
- Add BR for archive

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 0.4.8-1mdv2010.0
+ Revision: 382932
- New version 0.4.8

* Tue May 12 2009 Funda Wang <fwang@mandriva.org> 0.4.7-1mdv2010.0
+ Revision: 374894
- New version 0.4.7

* Sun Apr 05 2009 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2010.0
+ Revision: 364170
- New version 0.4.6

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 355191
- update to new version 0.4.5

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2009.1
+ Revision: 348974
- New version 0.4.4

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 336783
- New version 0.4.3

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 332704
- functionality moved to udev itself
- New version 0.4.2

* Thu Jan 15 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 329780
- disable ruck
- New version 0.4.1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 320275
- rebuild for new python

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 313882
- add missing file
- add more modules
- drop la files
- new version 0.4.0

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.3.11-2mdv2009.1
+ Revision: 307362
- rebuild
- new major
- new version 0.3.11

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 302396
- fix file list
- New version 0.3.10

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 297550
- New version 0.3.9

* Thu Oct 23 2008 Funda Wang <fwang@mandriva.org> 0.3.8-4mdv2009.1
+ Revision: 296731
- cmake modules becomes kpackage inside

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-3mdv2009.1
+ Revision: 296147
- do not build gstreamer plugin
- install cmake modules for kpackagekit

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 296057
- add BR and requires
- Obsoletes old qt-devel
- New version 0.3.8

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 294094
- New version 0.3.7

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 292855
- New version 0.3.6
- customize vendro.conf, pointing to wiki for now

* Wed Oct 01 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 290296
- New version 0.3.5
- add browser plugin
- add upstream path to fix crash with large amount of transaction

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 286283
- New version 0.3.3

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 283419
- new major 4 -> 5
- 0.3.2

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 277769
- New version 0.3.1
- revert to ABI stable version 0.2.4
- New version 0.3.0

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 264778
- bump libmajor ( 3->4 )
- New version 0.2.4

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 234290
- import packagekit


